Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043073
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-01-30 15:272020-03-20 17:54
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision02b5813c8afa
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043073: Apply new HQL Style in CostingUtils.java

DescriptionCostingUtils.java has 8 HQL queries with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0117962)
inigo_lerga (developer)
2020-02-20 10:51

--Test Plan Mantis HQL queries--
Part of the modified hqls in this Issue can be executed
running the JUnit tests found in the TestCosting.java file.

#In this moment the modified HQLs are executed#
(0118149)
hgbot (developer)
2020-02-27 11:09

Repository: erp/devel/pi
Changeset: 02b5813c8afa771faa0b4c9197853a025b0125e5
Author: IƱigo Lerga <inigo.lerga <at> openbravo.com>
Date: Thu Feb 20 10:49:43 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/02b5813c8afa771faa0b4c9197853a025b0125e5 [^]

fixes BUG-43073:Applied new HQL Style

---
M src/org/openbravo/costing/CostingUtils.java
---
(0118150)
hgbot (developer)
2020-02-27 11:09

Repository: erp/devel/pi
Changeset: f95a4b4cda69f2b4e185f727c2a7d9c8c55b6ee7
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Feb 27 11:09:02 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f95a4b4cda69f2b4e185f727c2a7d9c8c55b6ee7 [^]

Related to ISSUE-43073. Code Review changes:
* Split case when statements in different lines to improve redability
* Renamed variable to use a more descriptive name

---
M src/org/openbravo/costing/CostingUtils.java
---
(0118151)
dmiguelez (developer)
2020-02-27 11:10

Code Review + Testing Ok
(0118170)
hgbot (developer)
2020-02-27 16:18

Repository: erp/devel/pi
Changeset: 3e846a4de56f0a42672b336d5fb1e32162b521fd
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Feb 27 16:17:13 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3e846a4de56f0a42672b336d5fb1e32162b521fd [^]

Related to ISSUE 43073. Changed hql query to compare string with string

---
M src/org/openbravo/costing/CostingUtils.java
---
(0118738)
hudsonbot (developer)
2020-03-20 17:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b31620115262 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2020-01-30 15:27 inigo_lerga New Issue
2020-01-30 15:27 inigo_lerga Assigned To => inigo_lerga
2020-01-30 15:27 inigo_lerga Modules => Core
2020-01-30 15:27 inigo_lerga Triggers an Emergency Pack => No
2020-01-30 15:27 inigo_lerga Relationship added related to 0041287
2020-01-30 15:27 inigo_lerga Status new => scheduled
2020-02-20 10:51 inigo_lerga Note Added: 0117962
2020-02-27 11:09 hgbot Checkin
2020-02-27 11:09 hgbot Note Added: 0118149
2020-02-27 11:09 hgbot Status scheduled => resolved
2020-02-27 11:09 hgbot Resolution open => fixed
2020-02-27 11:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/02b5813c8afa771faa0b4c9197853a025b0125e5 [^]
2020-02-27 11:09 hgbot Checkin
2020-02-27 11:09 hgbot Note Added: 0118150
2020-02-27 11:10 dmiguelez Review Assigned To => dmiguelez
2020-02-27 11:10 dmiguelez Note Added: 0118151
2020-02-27 11:10 dmiguelez Status resolved => closed
2020-02-27 11:10 dmiguelez Fixed in Version => 3.0PR20Q2
2020-02-27 16:18 hgbot Checkin
2020-02-27 16:18 hgbot Note Added: 0118170
2020-03-20 17:54 hudsonbot Checkin
2020-03-20 17:54 hudsonbot Note Added: 0118738


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker